﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace Kokomo.Environment.Hosting
{
	/// <summary>
	/// Represents the main window for an editor host application.
	/// </summary>
	/// <remarks>
	/// The default template uses <see cref="EditorHostView"/>.
	/// </remarks>
	public class EditorHostWindow : Window
	{
		static EditorHostWindow()
		{
			Window.DefaultStyleKeyProperty.OverrideMetadata(typeof(EditorHostWindow), new FrameworkPropertyMetadata(typeof(EditorHostWindow)));
		}

		/// <summary>
		/// Initializes an instance of <see cref="EditorHostWindow"/>.
		/// </summary>
		public EditorHostWindow()
		{
		}
	}
}
