﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection.Emit;

namespace Kokomo.Mirror.CliMetadata
{
	public abstract class ExceptionBlockMarker
	{
		protected ExceptionBlockMarker(
			int offset,
			Type exceptionType = null
			)
		{
			this.ExceptionType = exceptionType;
		}

		public int Offset { get; private set; }
		public Type ExceptionType { get; internal set; }

		public abstract void Mark(ILGenerator il);
	}
}
