﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata
{
	public enum MetadataTableNumber
	{
		Module = 0x00,
		TypeRef = 0x01,
		TypeDef = 0x02,
		Assembly = 0x20,
		AssemblyOS = 0x22,
		AssemblyProcessor = 0x21,
		AssemblyRef = 0x23,
		AssemblyRefOS = 0x25,
		AssemblyRefProcessor = 0x24,
		ClassLayout = 0x0F,
		Constant = 0x0B,
		CustomAttribute = 0x0C,
		DeclSecurity = 0x0E,
		EventMap = 0x12,
		Event = 0x14,
		ExportedType = 0x27,
		Field = 0x04,
		FieldLayout = 0x10,
		FieldMarshal = 0x0D,
		FieldRva = 0x1D,
		File = 0x26,
		GenericParam = 0x2A,
		GenericParamConstraint = 0x2C,
		ImplMap = 0x1C,
		InterfaceImpl = 0x09,
		ManifestResource = 0x28,
		MemberRef = 0x0A,
		MethodRef = MemberRef,
		FieldRef = MemberRef,
		MethodDef = 0x06,
		MethodImpl = 0x19,
		MethodSemantics = 0x18,
		MethodSpec = 0x2B,
		ModuleRef = 0x1A,
		NestedClass = 0x29,
		Param = 0x08,
		Property = 0x17,
		PropertyMap = 0x15,
		StandAloneSig = 0x11,
		TypeSpec = 0x1B,

		Invalid = 0xFF
	}
}
