﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Kokomo.Mirror.CliMetadata.Tables
{
	public class PropertyRow : IMetadataRow
	{
		[ConstantField(typeof(short))]
		public PropertyAttributes Flags { get; set; }
		public StringRef Name { get; set; }
		[SignatureField(SignatureKind.PropertySig)]
		public SignatureRef Type { get; set; }

		public override string ToString(MetadataContainer container)
		{
			return container.GetString(this.Name);
		}
	}
}
