﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.Ia32
{
	public class NativeRegisterDependency : NativeDependency
	{
		public NativeRegisterDependency(
			long sourceOffset,
			Register register
			)
			: base(sourceOffset)
		{
			if (register == null) throw new ArgumentNullException("register");

			this.Register = register;
		}

		public Register Register { get; private set; }
	}
}
