﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.Ia32
{
	public class SymbolicReference
	{
		public SymbolicReference(
			string symbolName,
			long offset,
			string moduleName = null
			)
		{
			if (symbolName == null) throw new ArgumentNullException("symbolName");

			this.SymbolName = symbolName;
			this.Offset = offset;
			this.ModuleName = moduleName;
		}

		public string SymbolName { get; private set; }
		public long Offset { get; private set; }
		public string ModuleName { get; private set; }
	}
}
