﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.PeFormat.Resources
{
	public class DialogTemplateBase : NotifierObject
	{

		private WindowStyles _windowStyle;
		public WindowStyles WindowStyle
		{
			get { return this._windowStyle; }
			set
			{
				this._windowStyle = value;
				this.OnPropertyChanged("WindowStyle");
			}
		}
		private DialogStyles _dialogStyle;
		public DialogStyles DialogStyle
		{
			get { return this._dialogStyle; }
			set
			{
				this._dialogStyle = value;
				this.OnPropertyChanged("DialogStyle");
			}
		}
		private ExtendedWindowStyles _extendedWindowStyle;
		public ExtendedWindowStyles ExtendedWindowStyle
		{
			get { return this._extendedWindowStyle; }
			set
			{
				this._extendedWindowStyle = value;
				this.OnPropertyChanged("ExtendedWindowStyle");
			}
		}

		private short _left;
		public short Left
		{
			get { return this._left; }
			set
			{
				this._left = value;
				this.OnPropertyChanged("Left");
			}
		}
		private short _top;
		public short Top
		{
			get { return this._top; }
			set
			{
				this._top = value;
				this.OnPropertyChanged("Top");
			}
		}
		private short _width;
		public short Width
		{
			get { return this._width; }
			set
			{
				this._width = value;
				this.OnPropertyChanged("Width");
			}
		}
		private short _height;
		public short Height
		{
			get { return this._height; }
			set
			{
				this._height = value;
				this.OnPropertyChanged("Height");
			}
		}

		private string _className;
		public string ClassName
		{
			get { return this._className; }
			set
			{
				this._className = value;
				this.OnPropertyChanged("ClassName");
			}
		}
		private string _text;
		public string Text
		{
			get { return this._text; }
			set
			{
				this._text = value;
				this.OnPropertyChanged("Text");
			}
		}
	}
}
