﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dia2Lib;
using System.IO;

namespace Kokomo.Mirror.PeFormat.Symbols
{
	public class SourceFile : SourceFileBase
	{
		private IDiaSourceFile _diaSourceFile;

		internal SourceFile(
			IDiaSourceFile diaSourceFile
			)
		{
			this._diaSourceFile = diaSourceFile;
		}

		public override string FileName
		{
			get { return this._diaSourceFile.fileName; }
		}
		public override Stream GetStream()
		{
			return new FileStream(this.FileName, FileMode.Open, FileAccess.Read);
		}
	}
}
