﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror
{
	public class SerializedOffsetAttribute : Attribute
	{
		public string OffsetPropertyName { get; private set; }

		public SerializedOffsetAttribute(
			string offsetPropertyName
			)
		{
			if (offsetPropertyName == null) throw new ArgumentNullException("offsetPropertyName");

			this.OffsetPropertyName = offsetPropertyName;
		}
	}
}
