﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Mirror.PeFormat;
using Kokomo.Environment.Documents;

namespace Kokomo.PeInspector
{
	class ImportedModuleViewModel : DetailViewModel
	{
		public ImportedModuleViewModel(
			NavigationContext navigationContext,
			ImportedModule module
			)
			: base(navigationContext, module, UiString.FromString(module.ModuleName))
		{
			if (module == null) throw new ArgumentNullException("module");

			this.Module = module;
		}

		public ImportedModule Module { get; private set; }
	}
}
