﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Environment;
using Kokomo.Controls;
using Kokomo.Environment.Documents;

namespace Kokomo.PeInspector
{
	[ViewType(typeof(PeHeaderStructView))]
	class PeHeaderStructViewModel : DetailViewModel
	{
		public object Header { get; private set; }

		public PeHeaderStructViewModel(
			NavigationContext navigationContext,
			UiString heading,
			object header
			)
			: base(navigationContext, header, heading)
		{
			if (header == null) throw new ArgumentNullException("header");
			this.Header = header;
		}
	}
}
