﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Lexical.Expressions;

namespace Kokomo.PeInspector.Reflection.Disassembly
{
	class LinqConversionContext
	{
		public Dictionary<Expression, Expression> ParameterVariables { get; private set; }

		public LinqConversionContext(
			Dictionary<Expression, Expression> parameterVariables
			)
		{
			if (parameterVariables == null) throw new ArgumentNullException("parameterVariables");
			this.ParameterVariables = parameterVariables;
		}
	}
}
