﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Lexical.Expressions;

namespace Kokomo.PeInspector.Reflection.Query
{
	class ProjectedQueryExpression : QueryExpressionBase
	{
		public Expression Projection { get; private set; }

		public ProjectedQueryExpression(
			QueryClause source,
			Expression projection
			)
			: base(source)
		{
			if (projection == null) throw new ArgumentNullException("projection");
			this.Projection = projection;
		}

		public override ExpressionResult Evaluate(ExpressionEvaluateContext context)
		{
			throw new NotImplementedException();
		}
	}
}
