﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.PeInspector.Reflection
{
	class XmlWriterElementContext
	{
		public XmlWriterElementContext(
			string elementName,
			string @namespace,
			string prefix
			)
		{
			this.ElementName = elementName;
			this.Namespace = @namespace;
			this.Prefix = prefix;
		}

		public string ElementName { get; private set; }
		public string Namespace { get; private set; }
		public string Prefix { get; private set; }

		public Type Type { get; set; }
		public bool HasAttributes { get; set; }
	}
}
