﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.PeInspector.VisualStudioAdapter
{
	/// <summary>
	/// Represents a C# project compatible with Visual Studio 2010.
	/// </summary>
	/// <remarks>
	/// This class sets the project tools version to <c>4.0</c>.
	/// </remarks>
	public class CSharp2010Project : CSharpProject
	{
		/// <summary>
		/// Initializes a new instance of <see cref="CSharp2010Project"/>.
		/// </summary>
		public CSharp2010Project()
			: base("4.0")
		{
		}
	}
}
