﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Reflection;

namespace Kokomo
{
	public static class ResourceHelper
	{
		public static ResourceDictionary GetResourceDictionary(
			Assembly assembly,
			string path
			)
		{
			string key = string.Format("/{0};component/{1}", assembly.GetName().Name, path);
			Uri uri = new Uri(key, UriKind.Relative);
			ResourceDictionary resourceDictionary = new ResourceDictionary() { Source = uri };
			return resourceDictionary;
		}
	}
}
