﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Environment.Commanding
{
	/// <summary>
	/// Represents a separator within a menu.
	/// </summary>
	public class SeparatorViewModel : MenuItemViewModel
	{
		/// <summary>
		/// Gets the icon to display.
		/// </summary>
		/// <remarks>
		/// This implementation always returns <c>null</c>.
		/// </remarks>
		public override System.Windows.Media.ImageSource IconSource
		{
			get { return null; }
		}

		/// <summary>
		/// Gets the text to display.
		/// </summary>
		/// <remarks>
		/// This implementation always returns <c>null</c>.
		/// </remarks>
		public override UiString Text
		{
			get { return null; }
		}
	}
}
