﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Reflection;
using Kokomo.Mirror.Builder;
using Kokomo.Mirror.PeFormat;
using Kokomo.Mirror.PeFormat.Symbols;

namespace Kokomo.Mirror.Test
{
	/// <summary>
	/// Summary description for TranscriberTest
	/// </summary>
	[TestClass]
	public class TranscriberTest
	{
		public TranscriberTest()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		private TestContext testContextInstance;

		/// <summary>
		///Gets or sets the test context which provides
		///information about and functionality for the current test run.
		///</summary>
		public TestContext TestContext
		{
			get
			{
				return testContextInstance;
			}
			set
			{
				testContextInstance = value;
			}
		}

		#region Additional test attributes
		//
		// You can use the following additional attributes as you write your tests:
		//
		// Use ClassInitialize to run code before running the first test in the class
		// [ClassInitialize()]
		// public static void MyClassInitialize(TestContext testContext) { }
		//
		// Use ClassCleanup to run code after all tests in a class have run
		// [ClassCleanup()]
		// public static void MyClassCleanup() { }
		//
		// Use TestInitialize to run code before running each test 
		// [TestInitialize()]
		// public void MyTestInitialize() { }
		//
		// Use TestCleanup to run code after each test has run
		// [TestCleanup()]
		// public void MyTestCleanup() { }
		//
		#endregion

		[TestMethod]
		public void TestMethod1()
		{
			Assembly sourceAssembly = typeof(PeModule).Assembly;

			string target = @"C:\oss\Kokomo\Kokomo.Mirror\bin\Debug\Transcribed.dll";
			Transcriber transcriber = new ObfuTranscriber(sourceAssembly);
			AssemblyTranscription transcription = transcriber.Transcribe(target);
		}

		[TestMethod]
		public void TestMethod2()
		{
			Assembly sourceAssembly = Assembly.GetExecutingAssembly();

			string target = @"C:\oss\Transcriber\Transcribed.dll";
			Transcriber transcriber = new ObfuTranscriber(sourceAssembly);
			AssemblyTranscription transcription = transcriber.Transcribe(target);
		}

		[TestMethod]
		public void TestMethod3()
		{
			Type symbolBaseType = typeof(SymbolBase);
			var attributes = symbolBaseType.Attributes;
		}
	}
}
