﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata
{
	public class DataRef
	{
		public int HeapIndex { get; private set; }
		public MetadataContainer Container { get; private set; }

		protected DataRef(
			int heapIndex,
			MetadataContainer container
			)
		{
			if (container == null) throw new ArgumentNullException("container");

			this.Container = container;
			this.HeapIndex = heapIndex;
		}
	}
}
