﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata.DebugInfo
{
	public class SymDocumentBuilder
	{
		internal SymDocumentBuilder()
		{
			this.methods = new SortedList<int, SymMethodBuilder>();
		}

		internal SortedList<int, SymMethodBuilder> methods;
		public SymMethodBuilder DefineMethod(int token, int msilLength)
		{
			SymMethodBuilder method = new SymMethodBuilder(token, msilLength);
			this.methods.Add(token, method);
			return method;
		}

		public Guid Language { get; set; }
		public Guid LanguageVendor { get; set; }
		public Guid DocumentType { get; set; }
		public Guid AlgorithmId { get; set; }
		public String Url { get; set; }
	}
}
