﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection.Emit;

namespace Kokomo.Mirror.CliMetadata
{
	public class FilterBlockStartMarker : ExceptionBlockMarker
	{
		internal FilterBlockStartMarker(
			int offset,
			Type exceptionType
			)
			: base(offset, exceptionType)
		{
			if (exceptionType == null) throw new ArgumentNullException("exceptionType");
		}

		public override void Mark(ILGenerator il)
		{
			il.BeginCatchBlock(this.ExceptionType);
		}
	}
}
