﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata.Signatures
{
	[Flags]
	public enum SignatureFlags
	{
		Default = 0x00,
		C = 0x01,
		FastCall = 0x04,
		StdCall = 0x02,
		ThisCall = 0x03,
		VarArg = 0x05,
		Field = 0x06,
		GenericInstantiation = 0x0A,
		ByRef = 0x10,
		TypedByRef = 0x16,
		HasThis = 0x20,
		ExplicitThis = 0x40,
		Generic = 0x10,
		Sentinel = 0x41,
		LocalSig = 0x07,
		Property = 0x08,
		CustomModifierRequired = 0x1f,
		CustomModifierOptional = 0x20,
		Pinned = 0x45,
	}
}
