﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata.Tables
{
	public class AssemblyOsRow : IMetadataRow
	{
		public int OsPlatformID { get; set; }
		public int OsMajorVersion { get; set; }
		public int OsMinorVersion { get; set; }

		public override string ToString()
		{
			return string.Format("OS={0}, Version={1}.{2}",
				this.OsPlatformID,
				this.OsMajorVersion,
				this.OsMinorVersion
				);
		}
	}
}
