﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.CliMetadata.Tables
{
	public class MethodSemanticsRow : IMetadataRow
	{
		[ConstantField(typeof(short))]
		public MethodSemanticsAttributes Semantics {get; set;}
		[SimpleIndex(MetadataTableNumber.MethodDef)]
		public CodedIndex Method {get; set;}
		[CodedIndex(CodedIndexType.HasSemantics)]
		public CodedIndex Association {get; set;}
	}
}
