﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Kokomo.Mirror.CliMetadata.Tables
{
	public class ParamRow : IMetadataRow
	{
		[ConstantField(typeof(short))]
		public ParameterAttributes Flags { get; set; }
		public short Sequence { get; set; }
		public StringRef Name { get; set; }

		public override string ToString(MetadataContainer container)
		{
			return container.GetString(this.Name);
		}
	}
}
