﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Mirror.Ia32;

namespace Kokomo.Mirror
{
	public interface IDisassemblyContext
	{
		bool ReadData(
			long address,
			out int int32Value,
			out string stringValue
			);
		SymbolicReference GetSymbolicReference(
			long address
			);
		NativeProcedureInfo GetProcedure(
			long address
			);
		string ResolveModule(string moduleName);

		int DefaultAddressSize { get; }
	}
}
