﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.Ia32
{
	public class NativeProcedureDependency : NativeDependency
	{
		public NativeProcedureDependency(
			long sourceOffset,
			long virtualAddress,
			ProcedureUsage usage = ProcedureUsage.Call
			)
			: base(sourceOffset)
		{
			this.VirtualAddress = virtualAddress;
			this.Usage = usage;
		}
		public long VirtualAddress { get; private set; }
		public ProcedureUsage Usage { get; private set; }
	}
}
