﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror.PeFormat.Resources
{
	class ResourceDirectoryEntry : PeHeaderStruct
	{
		public const uint NameFlag = 0x80000000;
		public const uint DirectoryFlag = 0x80000000;

		public uint NameOrId { get; set; }
		public uint Offset { get; set; }

		public bool HasName
		{
			get { return (this.NameOrId & NameFlag) != 0; }
		}
		public bool IsDirectory
		{
			get { return (this.Offset & DirectoryFlag) != 0; }
		}
	}
}
