﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dia2Lib;

namespace Kokomo.Mirror.PeFormat.Symbols
{
	public class SymbolTable : Table, IEnumerable<Symbol>
	{
		public SymbolTable(
			IDiaTable table,
			SymbolSource source
			)
			: base(table, source)
		{
		}

		public IEnumerator<Symbol> GetEnumerator()
		{
			return new SymbolEnumerator((IDiaEnumSymbols)this.DiaTable, this.Source);
		}

		System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
		{
			return this.GetEnumerator();
		}
	}
}
