﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.Mirror
{
	public abstract class SerializedConditionalAttribute : Attribute
	{
		public string ConditionPropertyPath { get; private set; }

		public SerializedConditionalAttribute(string conditionPropertyPath)
		{
			if (conditionPropertyPath == null) throw new ArgumentNullException("conditionPropertyPath");

			this.ConditionPropertyPath = conditionPropertyPath;
		}
	}
}
