﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Mirror.Ia32;

namespace Kokomo.PeInspector
{
	public class InstructionEventArgs : EventArgs
	{
		public InstructionEventArgs(
			Ia32Instruction instruction
			)
		{
			if (instruction == null) throw new ArgumentNullException("instruction");
			this.Instruction = instruction;
		}

		public Ia32Instruction Instruction { get; private set; }
	}
}
