﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Mirror.Ia32;

namespace Kokomo.PeInspector.Native
{
	class UnsupportedOperandException : Exception
	{
		public UnsupportedOperandException(Operand operand)
		{
			if (operand == null) throw new ArgumentNullException("operand");

			this.Operand = operand;
		}

		public Operand Operand { get; private set; }
	}
}
