﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Lexical.Expressions;
using System.Reflection;

namespace Kokomo.PeInspector.Reflection.Disassembly
{
	public class MetadataTokenExpression : Expression
	{
		public MemberInfo Member { get; private set; }

		public MetadataTokenExpression(
			MemberInfo member
			)
		{
			if (member == null) throw new ArgumentNullException("member");
			this.Member = member;
		}

		public override string ToString()
		{
			return this.Member.ToString();
		}

		public override ExpressionResult Evaluate(ExpressionEvaluateContext context)
		{
			throw new NotImplementedException();
		}
	}
}
