﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.PeInspector.Reflection
{
	/// <summary>
	/// Specifies the manner of a member reference within code.
	/// </summary>
	[Flags]
	public enum MemberReferenceFlags
	{
		/// <summary>
		/// Normal member reference
		/// </summary>
		None,
		/// <summary>
		/// Member referenced as an attribute
		/// </summary>
		Attribute = 0x1
	}
}
