﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Kokomo.Lexical.Expressions;

namespace Kokomo.PeInspector.Reflection.Query
{
	class WhereClause : DependentClause
	{
		public Expression Condition { get; private set; }

		public WhereClause(
			QueryClause source,
			Expression condition
			)
			: base(source)
		{
			if (condition == null) throw new ArgumentNullException("source");
			this.Condition = condition;
		}
	}
}
