﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kokomo.PeInspector.Reflection
{
	class ResourceExportResult : AssemblyExporterResultDetail
	{
		public string ResourceName { get; private set; }

		public ResourceExportResult(
			string fileName,
			string resourceName
			)
			: base(fileName)
		{
			if (resourceName == null) throw new ArgumentNullException("resourceName");
			this.ResourceName = resourceName;
		}
	}
}
