﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Kokomo.PeInspector.Reflection
{
	class StringDependencyGroup
	{
		public StringDependencyGroup(string str)
		{
			if (str == null) throw new ArgumentNullException("str");
			this.String = str;

			this.Methods = new List<MethodBase>();
			this.Fields = new List<FieldInfo>();
			this.Constants = new List<FieldInfo>();
		}

		public string String { get; private set; }

		public IList<MethodBase> Methods { get; private set; }
		public IList<FieldInfo> Fields { get; private set; }
		public IList<FieldInfo> Constants { get; private set; }
	}
}
